package cn.superdesk.uniorder.dao.mapper.marketing.department;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCity;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionAreaItem;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaCityWithVirt;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaTJ;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaWeb;

import java.util.List;
import java.util.Map;

public interface UnifiedAreaCityMapperEx {

	List<UnifiedAreaCity> findAll(Map<String, Object> queryMap);

	List<SelectOptionAreaItem> findAreaItemSelect(Map<String, Object> params);

	List<UnifiedAreaTJ> getareatj(Map<String, Object> params);

	UnifiedAreaCityWithVirt getAreaDetailByVirtId(Long virtId);

	List<UnifiedAreaWeb> getweb(Map<String, Object> params);
}